<?php
// $Id: views_handler_field_comment_publish_link.inc,v 1.1.2.2 2010/10/07 04:38:58 elliottf Exp $

/** 
 * @file
 *
 * Views handler for the comment_publish link.
 *
 * @author: Elliott Foster
 * @copyright: NewMBC 2010
 */

class views_handler_field_comment_publish_link extends views_handler_field {
  function construct() {
    parent::construct();

    // Add the fields that the comment_publish link will need..
    $this->additional_fields['nid'] = array(
      'table' => 'comments',
      'field' => 'nid',
    );
    $this->additional_fields['cid'] = array(
      'table' => 'comments',
      'field' => 'cid',
    );
  }

  /**
   * Allow the link to use AJAX.
   */
  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    $form['comment_publish_use_ajax'] = array(
      '#title' => t('Use AJAX'),
      '#type' => 'checkbox',
      '#default_value' => !empty($this->options['comment_publish_use_ajax']),
      '#description' => t('The comment (un)publishing will happen with AJAX and will not require a page redirect'),
    );
    $form['comment_publish_format'] = array(
      '#title' => t('Output format'),
      '#type' => 'select',
      '#options' => array(
        COMMENT_PUBLISH_PUBLISH_UNPUBLISH => t('publish/unpublish'),
        COMMENT_PUBLISH_PUBLISHED_UNPUBLISHED => t('published/unpublished'),
        COMMENT_PUBLISH_YES_NO => t('yes/no')
      ),
      '#default_value' => $this->options['comment_publish_format'],
    );
    $form['comment_publish_format_reverse'] = array(
      '#title' => t('Reverse format'),
      '#type' => 'checkbox',
      '#default_value' => !empty($this->options['comment_publish_format_reverse']),
    );
  }

  function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }

  function render($values) {
    $node = node_load($values->{$this->aliases['nid']});
    if (comment_publish_access($node, $values->{$this->aliases['cid']})) {
      return comment_publish_get_link(
        $node->nid,
        $values->{$this->aliases['cid']},
        $this->options['comment_publish_use_ajax'],
        $this->options['comment_publish_format'],
        $this->options['comment_publish_format_reverse']
      );
    }

    return '';
  }
}

